import request from "@/utils/request";
import http from "@/utils/axios";

// 日报列表
export function getReportDay(param) {
  return request({
    url: `/power/report/day`,
    method: "get",
    params: param,
  });
}

//日报导出
export function dayExport(startDate, endDate) {
  return request({
    url: `/power/dailyReport/export?beingDate=${startDate}&endDate=${endDate}`,
    method: "post",
    responseType: "blob",
  });
}
// 周报列表
export function getReportWeek(param) {
  return request({
    url: `/power/report/week`,
    method: "get",
    params: param,
  });
}
//周报导出
export function weekExport(startDate, endDate) {
  return request({
    url: `/power/weklyReport/export?beingDate=${startDate}&endDate=${endDate}`,
    method: "post",
    responseType: "blob",
  });
}
// 作业单位
export function getWorkUnitList() {
  return request({
    url: `/powerdistribution/organ/getAll`,
    method: "get",
  });
}
